Promotes a deployment version to active, routing traffic to it.
curl --request POST \
--url https://api.strait.dev/v1/deployments/{deploymentID}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"project_id": "<string>"
}
'{
"artifact_uri": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"environment": "<string>",
"id": "<string>",
"project_id": "<string>",
"runtime": "<string>",
"status": "<string>",
"strategy": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"canary_duration": 123,
"canary_percent": 123,
"checksum": "<string>",
"created_by": "<string>",
"finalized_at": "2023-11-07T05:31:56Z",
"manifest": "<unknown>",
"promoted_at": "2023-11-07T05:31:56Z",
"rollback_from_deployment_id": "<string>",
"updated_by": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/DeploymentVersion.json"
curl --request POST \
--url https://api.strait.dev/v1/deployments/{deploymentID}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"project_id": "<string>"
}
'{
"artifact_uri": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"environment": "<string>",
"id": "<string>",
"project_id": "<string>",
"runtime": "<string>",
"status": "<string>",
"strategy": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"canary_duration": 123,
"canary_percent": 123,
"checksum": "<string>",
"created_by": "<string>",
"finalized_at": "2023-11-07T05:31:56Z",
"manifest": "<unknown>",
"promoted_at": "2023-11-07T05:31:56Z",
"rollback_from_deployment_id": "<string>",
"updated_by": "<string>"
}